#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//15
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTestAccessibilityEvent", 13, Smoke::t_class|Smoke::tf_stack },	//21
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//27
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//108
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//109
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//113
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//117
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//123
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//124
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//125
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//126
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//127
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//128
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//131
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    125, 0,	//1  const char*
    5, 0,	//3  QEvent*
    9, 5, 0,	//5  QObject*, QEvent*
    33, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    9, 125, 0,	//12  QObject*, const char*
    8, 128, 130, 0,	//15  QMetaObject::Call, int, void**
    128, 125, 0,	//19  int, const char*
    125, 128, 0,	//22  const char*, int
    108, 125, 110, 110, 125, 125, 125, 128, 0,	//25  bool, const char*, char*, char*, const char*, const char*, const char*, int
    34, 73, 6, 128, 0,	//34  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    34, 73, 0,	//39  QWidget*, Qt::Key
    34, 73, 6, 0,	//42  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    107, 125, 0,	//46  QtMsgType, const char*
    34, 109, 6, 128, 0,	//49  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    34, 109, 0,	//54  QWidget*, char
    34, 109, 6, 0,	//57  QWidget*, char, QFlags<Qt::KeyboardModifier>
    73, 0,	//61  Qt::Key
    17, 34, 79, 6, 10, 128, 0,	//63  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    17, 34, 79, 6, 10, 0,	//70  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    108, 125, 125, 125, 128, 0,	//76  bool, const char*, const char*, const char*, int
    127, 18, 0,	//82  double, QTest::QBenchmarkMetric
    128, 0,	//85  int
    109, 0,	//87  char
    16, 34, 109, 6, 128, 0,	//89  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 109, 0,	//95  QTest::KeyAction, QWidget*, char
    16, 34, 109, 6, 0,	//99  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    34, 115, 6, 128, 0,	//104  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    34, 115, 0,	//109  QWidget*, const QString&
    34, 115, 6, 0,	//112  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    16, 34, 73, 109, 6, 128, 0,	//116  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 109, 6, 0,	//123  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    126, 126, 125, 125, 125, 128, 0,	//129  const void*, const void*, const char*, const char*, const char*, int
    125, 125, 125, 125, 125, 128, 0,	//136  const char*, const char*, const char*, const char*, const char*, int
    34, 79, 6, 10, 128, 0,	//143  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    34, 79, 0,	//149  QWidget*, Qt::MouseButton
    34, 79, 6, 0,	//152  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    34, 79, 6, 10, 0,	//156  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    16, 34, 73, 13, 6, 128, 0,	//161  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 13, 6, 0,	//168  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    126, 0,	//174  const void*
    108, 125, 125, 128, 0,	//176  bool, const char*, const char*, int
    34, 0,	//181  QWidget*
    125, 125, 20, 125, 128, 0,	//183  const char*, const char*, QTest::TestFailMode, const char*, int
    125, 19, 125, 128, 0,	//189  const char*, QTest::SkipMode, const char*, int
    125, 125, 128, 0,	//194  const char*, const char*, int
    34, 10, 128, 0,	//198  QWidget*, QPoint, int
    34, 10, 0,	//202  QWidget*, QPoint
    34, 108, 128, 6, 13, 108, 128, 0,	//205  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    34, 108, 128, 6, 13, 108, 0,	//213  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    9, 128, 111, 0,	//220  QObject*, int, char**
    9, 0,	//224  QObject*
    9, 128, 0,	//226  QObject*, int
    16, 34, 73, 6, 128, 0,	//229  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 0,	//235  QTest::KeyAction, QWidget*, Qt::Key
    16, 34, 73, 6, 0,	//239  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    9, 116, 0,	//244  QObject*, const QStringList&
    118, 0,	//247  const QTestAccessibilityEvent&
    9, 128, 128, 0,	//249  QObject*, int, int
    128, 126, 0,	//253  int, const void*
    119, 0,	//256  const QTestDelayEvent&
    120, 0,	//258  const QTestEvent&
    121, 0,	//260  const QTestEventList&
    73, 6, 128, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 73, 6, 128, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    109, 6, 128, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    115, 6, 128, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    16, 109, 6, 128, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    79, 6, 10, 128, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    10, 128, 0,	//289  QPoint, int
    73, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    16, 73, 0,	//295  QTest::KeyAction, Qt::Key
    16, 73, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    109, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    115, 0,	//305  const QString&
    115, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    16, 109, 0,	//310  QTest::KeyAction, char
    16, 109, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    79, 0,	//317  Qt::MouseButton
    79, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    79, 6, 10, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 0,	//326  QPoint
    125, 125, 0,	//328  const char*, const char*
    122, 0,	//331  const QTestKeyClicksEvent&
    123, 0,	//333  const QTestKeyEvent&
    16, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    17, 79, 6, 10, 128, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    124, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "MouseClick",	//10
    "MouseDClick",	//11
    "MouseMove",	//12
    "MousePress",	//13
    "MouseRelease",	//14
    "Press",	//15
    "QSignalSpy",	//16
    "QSignalSpy#$",	//17
    "QTestAccessibilityEvent",	//18
    "QTestAccessibilityEvent#",	//19
    "QTestAccessibilityEvent#$",	//20
    "QTestAccessibilityEvent#$$",	//21
    "QTestDelayEvent",	//22
    "QTestDelayEvent#",	//23
    "QTestDelayEvent$",	//24
    "QTestEvent",	//25
    "QTestEvent#",	//26
    "QTestEventList",	//27
    "QTestEventList#",	//28
    "QTestEventLoop",	//29
    "QTestEventLoop#",	//30
    "QTestKeyClicksEvent",	//31
    "QTestKeyClicksEvent#",	//32
    "QTestKeyClicksEvent$$$",	//33
    "QTestKeyEvent",	//34
    "QTestKeyEvent#",	//35
    "QTestKeyEvent$$$$",	//36
    "QTestMouseEvent",	//37
    "QTestMouseEvent#",	//38
    "QTestMouseEvent$$$#$",	//39
    "Release",	//40
    "SkipAll",	//41
    "SkipSingle",	//42
    "WalltimeMilliseconds",	//43
    "_action",	//44
    "_ascii",	//45
    "_delay",	//46
    "_key",	//47
    "_modifiers",	//48
    "addColumnInternal",	//49
    "addColumnInternal$$",	//50
    "addDelay",	//51
    "addDelay$",	//52
    "addKeyClick",	//53
    "addKeyClick$",	//54
    "addKeyClick$$",	//55
    "addKeyClick$$$",	//56
    "addKeyClicks",	//57
    "addKeyClicks$",	//58
    "addKeyClicks$$",	//59
    "addKeyClicks$$$",	//60
    "addKeyEvent",	//61
    "addKeyEvent$$",	//62
    "addKeyEvent$$$",	//63
    "addKeyEvent$$$$",	//64
    "addKeyPress",	//65
    "addKeyPress$",	//66
    "addKeyPress$$",	//67
    "addKeyPress$$$",	//68
    "addKeyRelease",	//69
    "addKeyRelease$",	//70
    "addKeyRelease$$",	//71
    "addKeyRelease$$$",	//72
    "addMouseClick",	//73
    "addMouseClick$",	//74
    "addMouseClick$$",	//75
    "addMouseClick$$#",	//76
    "addMouseClick$$#$",	//77
    "addMouseDClick",	//78
    "addMouseDClick$",	//79
    "addMouseDClick$$",	//80
    "addMouseDClick$$#",	//81
    "addMouseDClick$$#$",	//82
    "addMouseMove",	//83
    "addMouseMove#",	//84
    "addMouseMove#$",	//85
    "addMousePress",	//86
    "addMousePress$",	//87
    "addMousePress$$",	//88
    "addMousePress$$#",	//89
    "addMousePress$$#$",	//90
    "addMouseRelease",	//91
    "addMouseRelease$",	//92
    "addMouseRelease$$",	//93
    "addMouseRelease$$#",	//94
    "addMouseRelease$$#$",	//95
    "append",	//96
    "append$$",	//97
    "asciiToKey",	//98
    "asciiToKey$",	//99
    "changeInterval",	//100
    "changeInterval$",	//101
    "child",	//102
    "childEvent",	//103
    "cleanup",	//104
    "clear",	//105
    "clearEvents",	//106
    "clone",	//107
    "compare_helper",	//108
    "compare_helper$$$$",	//109
    "compare_helper$$$$$$$$",	//110
    "compare_ptr_helper",	//111
    "compare_ptr_helper$$$$$$",	//112
    "compare_string_helper",	//113
    "compare_string_helper$$$$$$",	//114
    "connectNotify",	//115
    "currentDataTag",	//116
    "currentTestFailed",	//117
    "currentTestFunction",	//118
    "customEvent",	//119
    "data",	//120
    "data$",	//121
    "dataCount",	//122
    "dataTag",	//123
    "disconnectNotify",	//124
    "enterLoop",	//125
    "enterLoop$",	//126
    "event",	//127
    "eventFilter",	//128
    "events",	//129
    "exitLoop",	//130
    "ignoreMessage",	//131
    "ignoreMessage$$",	//132
    "initialize",	//133
    "instance",	//134
    "isValid",	//135
    "keyClick",	//136
    "keyClick#$",	//137
    "keyClick#$$",	//138
    "keyClick#$$$",	//139
    "keyClicks",	//140
    "keyClicks#$",	//141
    "keyClicks#$$",	//142
    "keyClicks#$$$",	//143
    "keyEvent",	//144
    "keyEvent$#$",	//145
    "keyEvent$#$$",	//146
    "keyEvent$#$$$",	//147
    "keyPress",	//148
    "keyPress#$",	//149
    "keyPress#$$",	//150
    "keyPress#$$$",	//151
    "keyRelease",	//152
    "keyRelease#$",	//153
    "keyRelease#$$",	//154
    "keyRelease#$$$",	//155
    "keyToAscii",	//156
    "keyToAscii$",	//157
    "metaObject",	//158
    "mouseClick",	//159
    "mouseClick#$",	//160
    "mouseClick#$$",	//161
    "mouseClick#$$#",	//162
    "mouseClick#$$#$",	//163
    "mouseDClick",	//164
    "mouseDClick#$",	//165
    "mouseDClick#$$",	//166
    "mouseDClick#$$#",	//167
    "mouseDClick#$$#$",	//168
    "mouseEvent",	//169
    "mouseEvent$#$$#",	//170
    "mouseEvent$#$$#$",	//171
    "mouseMove",	//172
    "mouseMove#",	//173
    "mouseMove##",	//174
    "mouseMove##$",	//175
    "mousePress",	//176
    "mousePress#$",	//177
    "mousePress#$$",	//178
    "mousePress#$$#",	//179
    "mousePress#$$#$",	//180
    "mouseRelease",	//181
    "mouseRelease#$",	//182
    "mouseRelease#$$",	//183
    "mouseRelease#$$#",	//184
    "mouseRelease#$$#$",	//185
    "newRow",	//186
    "newRow$",	//187
    "object",	//188
    "operator==",	//189
    "operator==#",	//190
    "parent",	//191
    "qData",	//192
    "qData$$",	//193
    "qElementData",	//194
    "qElementData$$",	//195
    "qExec",	//196
    "qExec#",	//197
    "qExec#$",	//198
    "qExec#$?",	//199
    "qExec#?",	//200
    "qExpectFail",	//201
    "qExpectFail$$$$$",	//202
    "qFail",	//203
    "qFail$$$",	//204
    "qGlobalData",	//205
    "qGlobalData$$",	//206
    "qSkip",	//207
    "qSkip$$$$",	//208
    "qSleep",	//209
    "qSleep$",	//210
    "qVerify",	//211
    "qVerify$$$$$",	//212
    "qWait",	//213
    "qWait$",	//214
    "qWaitForWindowShown",	//215
    "qWaitForWindowShown#",	//216
    "qWarn",	//217
    "qWarn$",	//218
    "qt_metacall",	//219
    "qt_metacall$$?",	//220
    "qt_metacast",	//221
    "qt_metacast$",	//222
    "sendKeyEvent",	//223
    "sendKeyEvent$#$$$",	//224
    "sendKeyEvent$#$$$$",	//225
    "setBenchmarkResult",	//226
    "setBenchmarkResult$$",	//227
    "setChild",	//228
    "setChild$",	//229
    "setEvent",	//230
    "setEvent$",	//231
    "setObject",	//232
    "setObject#",	//233
    "set_action",	//234
    "set_action$",	//235
    "set_ascii",	//236
    "set_ascii$",	//237
    "set_delay",	//238
    "set_delay$",	//239
    "set_key",	//240
    "set_key$",	//241
    "set_modifiers",	//242
    "set_modifiers$",	//243
    "signal",	//244
    "simulate",	//245
    "simulate#",	//246
    "simulateEvent",	//247
    "simulateEvent#$$$$$",	//248
    "simulateEvent#$$$$$$",	//249
    "staticMetaObject",	//250
    "testObject",	//251
    "timeout",	//252
    "timerEvent",	//253
    "timerEvent#",	//254
    "toHexRepresentation",	//255
    "toHexRepresentation$$",	//256
    "toString",	//257
    "toString$",	//258
    "tr",	//259
    "tr$",	//260
    "tr$$",	//261
    "tr$$$",	//262
    "trUtf8",	//263
    "trUtf8$",	//264
    "trUtf8$$",	//265
    "trUtf8$$$",	//266
    "verifyEvent",	//267
    "verifyEvent#",	//268
    "verifyEvent#$$",	//269
    "~QSignalSpy",	//270
    "~QTestAccessibilityEvent",	//271
    "~QTestData",	//272
    "~QTestDelayEvent",	//273
    "~QTestEvent",	//274
    "~QTestEventList",	//275
    "~QTestEventLoop",	//276
    "~QTestKeyClicksEvent",	//277
    "~QTestKeyEvent",	//278
    "~QTestMouseEvent",	//279
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//1 QObject::metaObject() const
    {7, 221, 1, 1, Smoke::mf_virtual, 129, 0},	//2 QObject::qt_metacast(const char*)
    {7, 127, 3, 1, Smoke::mf_virtual, 108, 0},	//3 QObject::event(QEvent*)
    {7, 128, 5, 2, Smoke::mf_virtual, 108, 0},	//4 QObject::eventFilter(QObject*, QEvent*)
    {7, 253, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QObject::timerEvent(QTimerEvent*)
    {7, 103, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QObject::childEvent(QChildEvent*)
    {7, 119, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QObject::customEvent(QEvent*)
    {7, 115, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QObject::connectNotify(const char*)
    {7, 124, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::disconnectNotify(const char*)
    {10, 16, 12, 2, Smoke::mf_ctor, 12, 1},	//10 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 135, 0, 0, Smoke::mf_const, 108, 2},	//11 QSignalSpy::isValid() const
    {10, 244, 0, 0, Smoke::mf_const, 3, 3},	//12 QSignalSpy::signal() const
    {10, 219, 15, 3, Smoke::mf_virtual, 128, 4},	//13 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 270, 0, 0, Smoke::mf_dtor, 0, 5 },	//14 QSignalSpy::~QSignalSpy()
    {11, 49, 19, 2, Smoke::mf_static, 0, 1},	//15 QTest::addColumnInternal(int, const char*)
    {11, 205, 22, 2, Smoke::mf_static, 129, 2},	//16 QTest::qGlobalData(const char*, int)
    {11, 108, 25, 8, Smoke::mf_static, 108, 3},	//17 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 148, 34, 4, Smoke::mf_static, 0, 4},	//18 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 148, 39, 2, Smoke::mf_static, 0, 5},	//19 QTest::keyPress(QWidget*, Qt::Key)
    {11, 148, 42, 3, Smoke::mf_static, 0, 6},	//20 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 131, 46, 2, Smoke::mf_static, 0, 7},	//21 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 148, 49, 4, Smoke::mf_static, 0, 8},	//22 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 148, 54, 2, Smoke::mf_static, 0, 9},	//23 QTest::keyPress(QWidget*, char)
    {11, 148, 57, 3, Smoke::mf_static, 0, 10},	//24 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 156, 61, 1, Smoke::mf_static, 109, 11},	//25 QTest::keyToAscii(Qt::Key)
    {11, 169, 63, 6, Smoke::mf_static, 0, 12},	//26 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 169, 70, 5, Smoke::mf_static, 0, 13},	//27 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 211, 76, 5, Smoke::mf_static, 108, 14},	//28 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 226, 82, 2, Smoke::mf_static, 0, 15},	//29 QTest::setBenchmarkResult(double, QTest::QBenchmarkMetric)
    {11, 116, 0, 0, Smoke::mf_static, 125, 16},	//30 QTest::currentDataTag()
    {11, 209, 85, 1, Smoke::mf_static, 0, 17},	//31 QTest::qSleep(int)
    {11, 98, 87, 1, Smoke::mf_static, 73, 18},	//32 QTest::asciiToKey(char)
    {11, 217, 1, 1, Smoke::mf_static, 0, 19},	//33 QTest::qWarn(const char*)
    {11, 144, 89, 5, Smoke::mf_static, 0, 20},	//34 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 144, 95, 3, Smoke::mf_static, 0, 21},	//35 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 144, 99, 4, Smoke::mf_static, 0, 22},	//36 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 140, 104, 4, Smoke::mf_static, 0, 23},	//37 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 140, 109, 2, Smoke::mf_static, 0, 24},	//38 QTest::keyClicks(QWidget*, const QString&)
    {11, 140, 112, 3, Smoke::mf_static, 0, 25},	//39 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 152, 34, 4, Smoke::mf_static, 0, 26},	//40 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 152, 39, 2, Smoke::mf_static, 0, 27},	//41 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 152, 42, 3, Smoke::mf_static, 0, 28},	//42 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 118, 0, 0, Smoke::mf_static, 125, 29},	//43 QTest::currentTestFunction()
    {11, 251, 0, 0, Smoke::mf_static, 9, 30},	//44 QTest::testObject()
    {11, 223, 116, 6, Smoke::mf_static, 0, 31},	//45 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 223, 123, 5, Smoke::mf_static, 0, 32},	//46 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 111, 129, 6, Smoke::mf_static, 108, 33},	//47 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 113, 136, 6, Smoke::mf_static, 108, 34},	//48 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 176, 143, 5, Smoke::mf_static, 0, 35},	//49 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 176, 149, 2, Smoke::mf_static, 0, 36},	//50 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 176, 152, 3, Smoke::mf_static, 0, 37},	//51 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 176, 156, 4, Smoke::mf_static, 0, 38},	//52 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 213, 85, 1, Smoke::mf_static, 0, 39},	//53 QTest::qWait(int)
    {11, 223, 161, 6, Smoke::mf_static, 0, 40},	//54 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 223, 168, 5, Smoke::mf_static, 0, 41},	//55 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 136, 34, 4, Smoke::mf_static, 0, 42},	//56 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 136, 39, 2, Smoke::mf_static, 0, 43},	//57 QTest::keyClick(QWidget*, Qt::Key)
    {11, 136, 42, 3, Smoke::mf_static, 0, 44},	//58 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 257, 174, 1, Smoke::mf_static, 110, 45},	//59 QTest::toString(const void*)
    {11, 186, 1, 1, Smoke::mf_static, 23, 46},	//60 QTest::newRow(const char*)
    {11, 159, 143, 5, Smoke::mf_static, 0, 47},	//61 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 159, 149, 2, Smoke::mf_static, 0, 48},	//62 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 159, 152, 3, Smoke::mf_static, 0, 49},	//63 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 159, 156, 4, Smoke::mf_static, 0, 50},	//64 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 255, 22, 2, Smoke::mf_static, 110, 51},	//65 QTest::toHexRepresentation(const char*, int)
    {11, 108, 176, 4, Smoke::mf_static, 108, 52},	//66 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 215, 181, 1, Smoke::mf_static, 108, 53},	//67 QTest::qWaitForWindowShown(QWidget*)
    {11, 152, 49, 4, Smoke::mf_static, 0, 54},	//68 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 152, 54, 2, Smoke::mf_static, 0, 55},	//69 QTest::keyRelease(QWidget*, char)
    {11, 152, 57, 3, Smoke::mf_static, 0, 56},	//70 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 164, 143, 5, Smoke::mf_static, 0, 57},	//71 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 164, 149, 2, Smoke::mf_static, 0, 58},	//72 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 164, 152, 3, Smoke::mf_static, 0, 59},	//73 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 164, 156, 4, Smoke::mf_static, 0, 60},	//74 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 192, 22, 2, Smoke::mf_static, 129, 61},	//75 QTest::qData(const char*, int)
    {11, 201, 183, 5, Smoke::mf_static, 108, 62},	//76 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 117, 0, 0, Smoke::mf_static, 108, 63},	//77 QTest::currentTestFailed()
    {11, 207, 189, 4, Smoke::mf_static, 0, 64},	//78 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 203, 194, 3, Smoke::mf_static, 0, 65},	//79 QTest::qFail(const char*, const char*, int)
    {11, 172, 198, 3, Smoke::mf_static, 0, 66},	//80 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 172, 181, 1, Smoke::mf_static, 0, 67},	//81 QTest::mouseMove(QWidget*)
    {11, 172, 202, 2, Smoke::mf_static, 0, 68},	//82 QTest::mouseMove(QWidget*, QPoint)
    {11, 247, 205, 7, Smoke::mf_static, 0, 69},	//83 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 247, 213, 6, Smoke::mf_static, 0, 70},	//84 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 194, 22, 2, Smoke::mf_static, 129, 71},	//85 QTest::qElementData(const char*, int)
    {11, 181, 143, 5, Smoke::mf_static, 0, 72},	//86 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 181, 149, 2, Smoke::mf_static, 0, 73},	//87 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 181, 152, 3, Smoke::mf_static, 0, 74},	//88 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 181, 156, 4, Smoke::mf_static, 0, 75},	//89 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 196, 220, 3, Smoke::mf_static, 128, 76},	//90 QTest::qExec(QObject*, int, char**)
    {11, 196, 224, 1, Smoke::mf_static, 128, 77},	//91 QTest::qExec(QObject*)
    {11, 196, 226, 2, Smoke::mf_static, 128, 78},	//92 QTest::qExec(QObject*, int)
    {11, 136, 49, 4, Smoke::mf_static, 0, 79},	//93 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 136, 54, 2, Smoke::mf_static, 0, 80},	//94 QTest::keyClick(QWidget*, char)
    {11, 136, 57, 3, Smoke::mf_static, 0, 81},	//95 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 144, 229, 5, Smoke::mf_static, 0, 82},	//96 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 144, 235, 3, Smoke::mf_static, 0, 83},	//97 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 144, 239, 4, Smoke::mf_static, 0, 84},	//98 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 196, 244, 2, Smoke::mf_static, 128, 85},	//99 QTest::qExec(QObject*, const QStringList&)
    {11, 257, 1, 1, Smoke::mf_static, 110, 86},	//100 QTest::toString(const char*)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 87},	//101 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 88},	//102 QTest::Continue (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 89},	//103 QTest::MousePress (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 90},	//104 QTest::MouseRelease (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 91},	//105 QTest::MouseClick (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 92},	//106 QTest::MouseDClick (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 93},	//107 QTest::MouseMove (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 94},	//108 QTest::Press (enum)
    {11, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 95},	//109 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 96},	//110 QTest::Click (enum)
    {11, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 97},	//111 QTest::SkipSingle (enum)
    {11, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 98},	//112 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 99},	//113 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 100},	//114 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 101},	//115 QTest::BytesPerSecond (enum)
    {11, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 102},	//116 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 103},	//117 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 104},	//118 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 105},	//119 QTest::Events (enum)
    {12, 133, 0, 0, Smoke::mf_static, 0, 1},	//120 QTestAccessibility::initialize()
    {12, 104, 0, 0, Smoke::mf_static, 0, 2},	//121 QTestAccessibility::cleanup()
    {12, 106, 0, 0, Smoke::mf_static, 0, 3},	//122 QTestAccessibility::clearEvents()
    {12, 129, 0, 0, Smoke::mf_static, 7, 4},	//123 QTestAccessibility::events()
    {12, 267, 247, 1, Smoke::mf_static, 108, 5},	//124 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 267, 249, 3, Smoke::mf_static, 108, 6},	//125 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 18, 249, 3, Smoke::mf_ctor, 22, 1},	//126 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 189, 247, 1, Smoke::mf_const, 108, 2},	//127 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 18, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 3},	//128 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 18, 0, 0, Smoke::mf_ctor, 22, 4},	//129 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 18, 224, 1, Smoke::mf_ctor, 22, 5},	//130 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 18, 226, 2, Smoke::mf_ctor, 22, 6},	//131 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 188, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 9, 7},	//132 QTestAccessibilityEvent::object() const
    {13, 232, 224, 1, Smoke::mf_attribute, 0, 8},	//133 QTestAccessibilityEvent::setObject(QObject*)
    {13, 102, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 9},	//134 QTestAccessibilityEvent::child() const
    {13, 228, 85, 1, Smoke::mf_attribute, 0, 10},	//135 QTestAccessibilityEvent::setChild(int)
    {13, 127, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 11},	//136 QTestAccessibilityEvent::event() const
    {13, 230, 85, 1, Smoke::mf_attribute, 0, 12},	//137 QTestAccessibilityEvent::setEvent(int)
    {13, 271, 0, 0, Smoke::mf_dtor, 0, 13 },	//138 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 96, 253, 2, 0, 0, 1},	//139 QTestData::append(int, const void*)
    {14, 120, 85, 1, Smoke::mf_const, 129, 2},	//140 QTestData::data(int) const
    {14, 123, 0, 0, Smoke::mf_const, 125, 3},	//141 QTestData::dataTag() const
    {14, 191, 0, 0, Smoke::mf_const, 32, 4},	//142 QTestData::parent() const
    {14, 122, 0, 0, Smoke::mf_const, 128, 5},	//143 QTestData::dataCount() const
    {14, 272, 0, 0, Smoke::mf_dtor, 0, 6 },	//144 QTestData::~QTestData()
    {15, 22, 85, 1, Smoke::mf_ctor, 24, 1},	//145 QTestDelayEvent::QTestDelayEvent(int)
    {15, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//146 QTestDelayEvent::clone() const
    {15, 245, 181, 1, Smoke::mf_virtual, 0, 3},	//147 QTestDelayEvent::simulate(QWidget*)
    {15, 22, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//148 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 273, 0, 0, Smoke::mf_dtor, 0, 5 },	//149 QTestDelayEvent::~QTestDelayEvent()
    {16, 245, 181, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//150 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 2},	//151 QTestEvent::clone() const [pure virtual]
    {16, 25, 0, 0, Smoke::mf_ctor, 25, 3},	//152 QTestEvent::QTestEvent()
    {16, 25, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//153 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 274, 0, 0, Smoke::mf_dtor, 0, 5 },	//154 QTestEvent::~QTestEvent()
    {17, 27, 0, 0, Smoke::mf_ctor, 26, 1},	//155 QTestEventList::QTestEventList()
    {17, 27, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//156 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 105, 0, 0, 0, 0, 3},	//157 QTestEventList::clear()
    {17, 53, 262, 3, 0, 0, 4},	//158 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 65, 262, 3, 0, 0, 5},	//159 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 69, 262, 3, 0, 0, 6},	//160 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 61, 266, 4, 0, 0, 7},	//161 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 53, 271, 3, 0, 0, 8},	//162 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 65, 271, 3, 0, 0, 9},	//163 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 69, 271, 3, 0, 0, 10},	//164 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 57, 275, 3, 0, 0, 11},	//165 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 61, 279, 4, 0, 0, 12},	//166 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 86, 284, 4, 0, 0, 13},	//167 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 91, 284, 4, 0, 0, 14},	//168 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 73, 284, 4, 0, 0, 15},	//169 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 78, 284, 4, 0, 0, 16},	//170 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 83, 289, 2, 0, 0, 17},	//171 QTestEventList::addMouseMove(QPoint, int)
    {17, 51, 85, 1, 0, 0, 18},	//172 QTestEventList::addDelay(int)
    {17, 245, 181, 1, 0, 0, 19},	//173 QTestEventList::simulate(QWidget*)
    {17, 53, 61, 1, 0, 0, 20},	//174 QTestEventList::addKeyClick(Qt::Key)
    {17, 53, 292, 2, 0, 0, 21},	//175 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 65, 61, 1, 0, 0, 22},	//176 QTestEventList::addKeyPress(Qt::Key)
    {17, 65, 292, 2, 0, 0, 23},	//177 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 69, 61, 1, 0, 0, 24},	//178 QTestEventList::addKeyRelease(Qt::Key)
    {17, 69, 292, 2, 0, 0, 25},	//179 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 61, 295, 2, 0, 0, 26},	//180 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 61, 298, 3, 0, 0, 27},	//181 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 53, 87, 1, 0, 0, 28},	//182 QTestEventList::addKeyClick(char)
    {17, 53, 302, 2, 0, 0, 29},	//183 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 65, 87, 1, 0, 0, 30},	//184 QTestEventList::addKeyPress(char)
    {17, 65, 302, 2, 0, 0, 31},	//185 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 69, 87, 1, 0, 0, 32},	//186 QTestEventList::addKeyRelease(char)
    {17, 69, 302, 2, 0, 0, 33},	//187 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 57, 305, 1, 0, 0, 34},	//188 QTestEventList::addKeyClicks(const QString&)
    {17, 57, 307, 2, 0, 0, 35},	//189 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 61, 310, 2, 0, 0, 36},	//190 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 61, 313, 3, 0, 0, 37},	//191 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 86, 317, 1, 0, 0, 38},	//192 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 86, 319, 2, 0, 0, 39},	//193 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 86, 322, 3, 0, 0, 40},	//194 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 91, 317, 1, 0, 0, 41},	//195 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 91, 319, 2, 0, 0, 42},	//196 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 91, 322, 3, 0, 0, 43},	//197 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 73, 317, 1, 0, 0, 44},	//198 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 73, 319, 2, 0, 0, 45},	//199 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 73, 322, 3, 0, 0, 46},	//200 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 78, 317, 1, 0, 0, 47},	//201 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 78, 319, 2, 0, 0, 48},	//202 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 78, 322, 3, 0, 0, 49},	//203 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 83, 0, 0, 0, 0, 50},	//204 QTestEventList::addMouseMove()
    {17, 83, 326, 1, 0, 0, 51},	//205 QTestEventList::addMouseMove(QPoint)
    {17, 275, 0, 0, Smoke::mf_dtor, 0, 52 },	//206 QTestEventList::~QTestEventList()
    {18, 158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 1},	//207 QTestEventLoop::metaObject() const
    {18, 221, 1, 1, Smoke::mf_virtual, 129, 2},	//208 QTestEventLoop::qt_metacast(const char*)
    {18, 259, 328, 2, Smoke::mf_static, 13, 3},	//209 QTestEventLoop::tr(const char*, const char*)
    {18, 263, 328, 2, Smoke::mf_static, 13, 4},	//210 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 259, 194, 3, Smoke::mf_static, 13, 5},	//211 QTestEventLoop::tr(const char*, const char*, int)
    {18, 263, 194, 3, Smoke::mf_static, 13, 6},	//212 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 219, 15, 3, Smoke::mf_virtual, 128, 7},	//213 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 29, 224, 1, Smoke::mf_ctor, 28, 8},	//214 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 125, 85, 1, 0, 0, 9},	//215 QTestEventLoop::enterLoop(int)
    {18, 100, 85, 1, 0, 0, 10},	//216 QTestEventLoop::changeInterval(int)
    {18, 252, 0, 0, Smoke::mf_const, 108, 11},	//217 QTestEventLoop::timeout() const
    {18, 134, 0, 0, Smoke::mf_static, 27, 12},	//218 QTestEventLoop::instance()
    {18, 130, 0, 0, Smoke::mf_slot, 0, 13},	//219 QTestEventLoop::exitLoop()
    {18, 253, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//220 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 259, 1, 1, Smoke::mf_static, 13, 15},	//221 QTestEventLoop::tr(const char*)
    {18, 263, 1, 1, Smoke::mf_static, 13, 16},	//222 QTestEventLoop::trUtf8(const char*)
    {18, 29, 0, 0, Smoke::mf_ctor, 28, 17},	//223 QTestEventLoop::QTestEventLoop()
    {18, 250, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 112, 18},	//224 QTestEventLoop::staticMetaObject() const
    {18, 276, 0, 0, Smoke::mf_dtor, 0, 19 },	//225 QTestEventLoop::~QTestEventLoop()
    {19, 31, 275, 3, Smoke::mf_ctor, 29, 1},	//226 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//227 QTestKeyClicksEvent::clone() const
    {19, 245, 181, 1, Smoke::mf_virtual, 0, 3},	//228 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 31, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//229 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 277, 0, 0, Smoke::mf_dtor, 0, 5 },	//230 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 34, 266, 4, Smoke::mf_ctor, 30, 1},	//231 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 34, 279, 4, Smoke::mf_ctor, 30, 2},	//232 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 3},	//233 QTestKeyEvent::clone() const
    {20, 245, 181, 1, Smoke::mf_virtual, 0, 4},	//234 QTestKeyEvent::simulate(QWidget*)
    {20, 34, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//235 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 44, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 16, 6},	//236 QTestKeyEvent::_action() const
    {20, 234, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//237 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 46, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 128, 8},	//238 QTestKeyEvent::_delay() const
    {20, 238, 85, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//239 QTestKeyEvent::set_delay(int)
    {20, 48, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 6, 10},	//240 QTestKeyEvent::_modifiers() const
    {20, 242, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//241 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 45, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 109, 12},	//242 QTestKeyEvent::_ascii() const
    {20, 236, 87, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//243 QTestKeyEvent::set_ascii(char)
    {20, 47, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 73, 14},	//244 QTestKeyEvent::_key() const
    {20, 240, 61, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//245 QTestKeyEvent::set_key(Qt::Key)
    {20, 278, 0, 0, Smoke::mf_dtor, 0, 16 },	//246 QTestKeyEvent::~QTestKeyEvent()
    {21, 37, 339, 5, Smoke::mf_ctor, 31, 1},	//247 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//248 QTestMouseEvent::clone() const
    {21, 245, 181, 1, Smoke::mf_virtual, 0, 3},	//249 QTestMouseEvent::simulate(QWidget*)
    {21, 37, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//250 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 279, 0, 0, Smoke::mf_dtor, 0, 5 },	//251 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    174,  // QTestEventList::addKeyClick(Qt::Key)
    182,  // QTestEventList::addKeyClick(char)
    0,
    175,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    183,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    158,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    162,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    180,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    190,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    181,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    191,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    161,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    166,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    176,  // QTestEventList::addKeyPress(Qt::Key)
    184,  // QTestEventList::addKeyPress(char)
    0,
    177,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    185,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    159,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    163,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    178,  // QTestEventList::addKeyRelease(Qt::Key)
    186,  // QTestEventList::addKeyRelease(char)
    0,
    179,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    187,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    160,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    164,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    128,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    130,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    57,  // QTest::keyClick(QWidget*, Qt::Key)
    94,  // QTest::keyClick(QWidget*, char)
    0,
    58,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    95,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    56,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    93,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    35,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    97,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    36,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    98,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    34,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    96,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    19,  // QTest::keyPress(QWidget*, Qt::Key)
    23,  // QTest::keyPress(QWidget*, char)
    0,
    20,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    24,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    18,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    22,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    41,  // QTest::keyRelease(QWidget*, Qt::Key)
    69,  // QTest::keyRelease(QWidget*, char)
    0,
    42,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    70,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    40,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    68,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    46,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    55,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    45,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    54,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    59,  // QTest::toString(const void*)
    100,  // QTest::toString(const char*)
    0,
    231,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    232,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 17, 10},	// QSignalSpy::QSignalSpy#$
    {10, 135, 11},	// QSignalSpy::isValid
    {10, 220, 13},	// QSignalSpy::qt_metacall$$?
    {10, 244, 12},	// QSignalSpy::signal
    {10, 270, 14},	// QSignalSpy::~QSignalSpy
    {11, 1, 101},	// QTest::Abort
    {11, 2, 114},	// QTest::BitsPerSecond
    {11, 3, 115},	// QTest::BytesPerSecond
    {11, 4, 117},	// QTest::CPUTicks
    {11, 5, 110},	// QTest::Click
    {11, 6, 102},	// QTest::Continue
    {11, 7, 119},	// QTest::Events
    {11, 8, 113},	// QTest::FramesPerSecond
    {11, 9, 118},	// QTest::InstructionReads
    {11, 10, 105},	// QTest::MouseClick
    {11, 11, 106},	// QTest::MouseDClick
    {11, 12, 107},	// QTest::MouseMove
    {11, 13, 103},	// QTest::MousePress
    {11, 14, 104},	// QTest::MouseRelease
    {11, 15, 108},	// QTest::Press
    {11, 40, 109},	// QTest::Release
    {11, 41, 112},	// QTest::SkipAll
    {11, 42, 111},	// QTest::SkipSingle
    {11, 43, 116},	// QTest::WalltimeMilliseconds
    {11, 50, 15},	// QTest::addColumnInternal$$
    {11, 99, 32},	// QTest::asciiToKey$
    {11, 109, 66},	// QTest::compare_helper$$$$
    {11, 110, 17},	// QTest::compare_helper$$$$$$$$
    {11, 112, 47},	// QTest::compare_ptr_helper$$$$$$
    {11, 114, 48},	// QTest::compare_string_helper$$$$$$
    {11, 116, 30},	// QTest::currentDataTag
    {11, 117, 77},	// QTest::currentTestFailed
    {11, 118, 43},	// QTest::currentTestFunction
    {11, 132, 21},	// QTest::ignoreMessage$$
    {11, 137, -40},	// QTest::keyClick#$
    {11, 138, -43},	// QTest::keyClick#$$
    {11, 139, -46},	// QTest::keyClick#$$$
    {11, 141, 38},	// QTest::keyClicks#$
    {11, 142, 39},	// QTest::keyClicks#$$
    {11, 143, 37},	// QTest::keyClicks#$$$
    {11, 145, -49},	// QTest::keyEvent$#$
    {11, 146, -52},	// QTest::keyEvent$#$$
    {11, 147, -55},	// QTest::keyEvent$#$$$
    {11, 149, -58},	// QTest::keyPress#$
    {11, 150, -61},	// QTest::keyPress#$$
    {11, 151, -64},	// QTest::keyPress#$$$
    {11, 153, -67},	// QTest::keyRelease#$
    {11, 154, -70},	// QTest::keyRelease#$$
    {11, 155, -73},	// QTest::keyRelease#$$$
    {11, 157, 25},	// QTest::keyToAscii$
    {11, 160, 62},	// QTest::mouseClick#$
    {11, 161, 63},	// QTest::mouseClick#$$
    {11, 162, 64},	// QTest::mouseClick#$$#
    {11, 163, 61},	// QTest::mouseClick#$$#$
    {11, 165, 72},	// QTest::mouseDClick#$
    {11, 166, 73},	// QTest::mouseDClick#$$
    {11, 167, 74},	// QTest::mouseDClick#$$#
    {11, 168, 71},	// QTest::mouseDClick#$$#$
    {11, 170, 27},	// QTest::mouseEvent$#$$#
    {11, 171, 26},	// QTest::mouseEvent$#$$#$
    {11, 173, 81},	// QTest::mouseMove#
    {11, 174, 82},	// QTest::mouseMove##
    {11, 175, 80},	// QTest::mouseMove##$
    {11, 177, 50},	// QTest::mousePress#$
    {11, 178, 51},	// QTest::mousePress#$$
    {11, 179, 52},	// QTest::mousePress#$$#
    {11, 180, 49},	// QTest::mousePress#$$#$
    {11, 182, 87},	// QTest::mouseRelease#$
    {11, 183, 88},	// QTest::mouseRelease#$$
    {11, 184, 89},	// QTest::mouseRelease#$$#
    {11, 185, 86},	// QTest::mouseRelease#$$#$
    {11, 187, 60},	// QTest::newRow$
    {11, 193, 75},	// QTest::qData$$
    {11, 195, 85},	// QTest::qElementData$$
    {11, 197, 91},	// QTest::qExec#
    {11, 198, 92},	// QTest::qExec#$
    {11, 199, 90},	// QTest::qExec#$?
    {11, 200, 99},	// QTest::qExec#?
    {11, 202, 76},	// QTest::qExpectFail$$$$$
    {11, 204, 79},	// QTest::qFail$$$
    {11, 206, 16},	// QTest::qGlobalData$$
    {11, 208, 78},	// QTest::qSkip$$$$
    {11, 210, 31},	// QTest::qSleep$
    {11, 212, 28},	// QTest::qVerify$$$$$
    {11, 214, 53},	// QTest::qWait$
    {11, 216, 67},	// QTest::qWaitForWindowShown#
    {11, 218, 33},	// QTest::qWarn$
    {11, 224, -76},	// QTest::sendKeyEvent$#$$$
    {11, 225, -79},	// QTest::sendKeyEvent$#$$$$
    {11, 227, 29},	// QTest::setBenchmarkResult$$
    {11, 248, 84},	// QTest::simulateEvent#$$$$$
    {11, 249, 83},	// QTest::simulateEvent#$$$$$$
    {11, 251, 44},	// QTest::testObject
    {11, 256, 65},	// QTest::toHexRepresentation$$
    {11, 258, -82},	// QTest::toString$
    {12, 104, 121},	// QTestAccessibility::cleanup
    {12, 106, 122},	// QTestAccessibility::clearEvents
    {12, 129, 123},	// QTestAccessibility::events
    {12, 133, 120},	// QTestAccessibility::initialize
    {12, 268, 124},	// QTestAccessibility::verifyEvent#
    {12, 269, 125},	// QTestAccessibility::verifyEvent#$$
    {13, 18, 129},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 19, -37},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 20, 131},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 21, 126},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 102, 134},	// QTestAccessibilityEvent::child
    {13, 127, 136},	// QTestAccessibilityEvent::event
    {13, 188, 132},	// QTestAccessibilityEvent::object
    {13, 190, 127},	// QTestAccessibilityEvent::operator==#
    {13, 229, 135},	// QTestAccessibilityEvent::setChild$
    {13, 231, 137},	// QTestAccessibilityEvent::setEvent$
    {13, 233, 133},	// QTestAccessibilityEvent::setObject#
    {13, 271, 138},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 97, 139},	// QTestData::append$$
    {14, 121, 140},	// QTestData::data$
    {14, 122, 143},	// QTestData::dataCount
    {14, 123, 141},	// QTestData::dataTag
    {14, 191, 142},	// QTestData::parent
    {14, 272, 144},	// QTestData::~QTestData
    {15, 23, 148},	// QTestDelayEvent::QTestDelayEvent#
    {15, 24, 145},	// QTestDelayEvent::QTestDelayEvent$
    {15, 107, 146},	// QTestDelayEvent::clone
    {15, 246, 147},	// QTestDelayEvent::simulate#
    {15, 273, 149},	// QTestDelayEvent::~QTestDelayEvent
    {16, 25, 152},	// QTestEvent::QTestEvent
    {16, 26, 153},	// QTestEvent::QTestEvent#
    {16, 107, 151},	// QTestEvent::clone
    {16, 246, 150},	// QTestEvent::simulate#
    {16, 274, 154},	// QTestEvent::~QTestEvent
    {17, 27, 155},	// QTestEventList::QTestEventList
    {17, 28, 156},	// QTestEventList::QTestEventList#
    {17, 52, 172},	// QTestEventList::addDelay$
    {17, 54, -1},	// QTestEventList::addKeyClick$
    {17, 55, -4},	// QTestEventList::addKeyClick$$
    {17, 56, -7},	// QTestEventList::addKeyClick$$$
    {17, 58, 188},	// QTestEventList::addKeyClicks$
    {17, 59, 189},	// QTestEventList::addKeyClicks$$
    {17, 60, 165},	// QTestEventList::addKeyClicks$$$
    {17, 62, -10},	// QTestEventList::addKeyEvent$$
    {17, 63, -13},	// QTestEventList::addKeyEvent$$$
    {17, 64, -16},	// QTestEventList::addKeyEvent$$$$
    {17, 66, -19},	// QTestEventList::addKeyPress$
    {17, 67, -22},	// QTestEventList::addKeyPress$$
    {17, 68, -25},	// QTestEventList::addKeyPress$$$
    {17, 70, -28},	// QTestEventList::addKeyRelease$
    {17, 71, -31},	// QTestEventList::addKeyRelease$$
    {17, 72, -34},	// QTestEventList::addKeyRelease$$$
    {17, 74, 198},	// QTestEventList::addMouseClick$
    {17, 75, 199},	// QTestEventList::addMouseClick$$
    {17, 76, 200},	// QTestEventList::addMouseClick$$#
    {17, 77, 169},	// QTestEventList::addMouseClick$$#$
    {17, 79, 201},	// QTestEventList::addMouseDClick$
    {17, 80, 202},	// QTestEventList::addMouseDClick$$
    {17, 81, 203},	// QTestEventList::addMouseDClick$$#
    {17, 82, 170},	// QTestEventList::addMouseDClick$$#$
    {17, 83, 204},	// QTestEventList::addMouseMove
    {17, 84, 205},	// QTestEventList::addMouseMove#
    {17, 85, 171},	// QTestEventList::addMouseMove#$
    {17, 87, 192},	// QTestEventList::addMousePress$
    {17, 88, 193},	// QTestEventList::addMousePress$$
    {17, 89, 194},	// QTestEventList::addMousePress$$#
    {17, 90, 167},	// QTestEventList::addMousePress$$#$
    {17, 92, 195},	// QTestEventList::addMouseRelease$
    {17, 93, 196},	// QTestEventList::addMouseRelease$$
    {17, 94, 197},	// QTestEventList::addMouseRelease$$#
    {17, 95, 168},	// QTestEventList::addMouseRelease$$#$
    {17, 105, 157},	// QTestEventList::clear
    {17, 246, 173},	// QTestEventList::simulate#
    {17, 275, 206},	// QTestEventList::~QTestEventList
    {18, 29, 223},	// QTestEventLoop::QTestEventLoop
    {18, 30, 214},	// QTestEventLoop::QTestEventLoop#
    {18, 101, 216},	// QTestEventLoop::changeInterval$
    {18, 126, 215},	// QTestEventLoop::enterLoop$
    {18, 130, 219},	// QTestEventLoop::exitLoop
    {18, 134, 218},	// QTestEventLoop::instance
    {18, 158, 207},	// QTestEventLoop::metaObject
    {18, 220, 213},	// QTestEventLoop::qt_metacall$$?
    {18, 222, 208},	// QTestEventLoop::qt_metacast$
    {18, 250, 224},	// QTestEventLoop::staticMetaObject
    {18, 252, 217},	// QTestEventLoop::timeout
    {18, 254, 220},	// QTestEventLoop::timerEvent#
    {18, 260, 221},	// QTestEventLoop::tr$
    {18, 261, 209},	// QTestEventLoop::tr$$
    {18, 262, 211},	// QTestEventLoop::tr$$$
    {18, 264, 222},	// QTestEventLoop::trUtf8$
    {18, 265, 210},	// QTestEventLoop::trUtf8$$
    {18, 266, 212},	// QTestEventLoop::trUtf8$$$
    {18, 276, 225},	// QTestEventLoop::~QTestEventLoop
    {19, 32, 229},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 33, 226},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 107, 227},	// QTestKeyClicksEvent::clone
    {19, 246, 228},	// QTestKeyClicksEvent::simulate#
    {19, 277, 230},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 35, 235},	// QTestKeyEvent::QTestKeyEvent#
    {20, 36, -85},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 44, 236},	// QTestKeyEvent::_action
    {20, 45, 242},	// QTestKeyEvent::_ascii
    {20, 46, 238},	// QTestKeyEvent::_delay
    {20, 47, 244},	// QTestKeyEvent::_key
    {20, 48, 240},	// QTestKeyEvent::_modifiers
    {20, 107, 233},	// QTestKeyEvent::clone
    {20, 235, 237},	// QTestKeyEvent::set_action$
    {20, 237, 243},	// QTestKeyEvent::set_ascii$
    {20, 239, 239},	// QTestKeyEvent::set_delay$
    {20, 241, 245},	// QTestKeyEvent::set_key$
    {20, 243, 241},	// QTestKeyEvent::set_modifiers$
    {20, 246, 234},	// QTestKeyEvent::simulate#
    {20, 278, 246},	// QTestKeyEvent::~QTestKeyEvent
    {21, 38, 250},	// QTestMouseEvent::QTestMouseEvent#
    {21, 39, 247},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 107, 248},	// QTestMouseEvent::clone
    {21, 246, 249},	// QTestMouseEvent::simulate#
    {21, 279, 251},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 252,
        __smokeqttest::methodMaps, 214,
        __smokeqttest::methodNames, 279,
        __smokeqttest::types, 131,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
